Create Chat From Files
Creates a new chat from inline source files.
Usage
import { v0 } from 'v0'const result = await v0.chats.createFromFiles({ files: [ { name: 'app/page.tsx', content: 'export default function Page() { return <h1>Hello</h1> }', }, ], title: 'Imported project',})console.log(result)API Signature
Request
Request Body
Source files used to seed the new chat.
Path of the file in the project.
UTF-8 text content of the file.
Visibility setting for the new chat.
Title for the new chat.
Arbitrary key-value data to attach to the chat.
Response
Unique chat identifier.
Chat title, if generated.
Visibility setting of the chat.
ISO timestamp of when the chat was created.
ISO timestamp of when the chat was last updated.
ID of the user who created the chat.
Associated Vercel project ID, if any.
User-defined key-value metadata.
Whether the caller has write access to this chat.
Token usage and credit cost for prompt.
Token counts for this message.
Prompt input value (non-cached).
Completion output value.
Cache-read input value.
Cache-write input value.
Sum of input, output, cacheRead, and cacheWrite.
Credit cost for this message.
Prompt input value (non-cached).
Completion output value.
Cache-read input value.
Cache-write input value.
Sum of input, output, cacheRead, and cacheWrite.